View Issue Details

IDProjectCategoryView StatusLast Update
0001272SOGoWeb Mailpublic2011-07-06 16:18
Reportercorradofiore Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.6 
Fixed in Version1.3.8 
Summary0001272: Empty folders when using a Yahoo Mail account
Description

When adding a Yahoo Mail external IMAP account in the webmail client, folders of that account are empty, i.e. show no messages at all.

This happens only with Yahoo Mail services. I was able to reproduce it on a ymail.com account after a client of mine told me he wasn't able to read his Yahoo.it account.

Attaching relevant log lines.

Additional Information

The IMAP server for Yahoo Mail is: imap.mail.yahoo.com
Port = 993
Encryption = SSL or TLS

TagsNo tags attached.

Activities

2011-04-27 08:28

 

yahoo_mail_empty_folders_log.txt (2,510 bytes)   
Apr 27 14:24:14 sogod [3758]: |SOGo| starting method 'POST' on uri '/SOGo/so/MYUSER@SOGOSERVER.TLD/Mail//3/folderINBOX/uids'
Apr 27 14:24:14 sogod [3758]: |SOGo| traverse(acquire): MYUSER@SOGOSERVER.TLD => Mail => 3 => folderINBOX => uids
Apr 27 14:24:14 sogod [3758]: |SOGo|   do traverse name: 'MYUSER@SOGOSERVER.TLD'
Apr 27 14:24:14 sogod [3758]: |SOGo|   do traverse name: 'Mail'
Apr 27 14:24:14 sogod [3758]: <<0x094E8160[SOGoUserFolder]:MYUSER@SOGOSERVER.TLD>>D traverse key 'Mail' (acquire=yes) ..
Apr 27 14:24:14 sogod [3758]: <<0x094E8160[SOGoUserFolder]:MYUSER@SOGOSERVER.TLD>>D   key 'Mail' resolved: <0x092EF300[SOGoMailAccounts]: name=Mail container=0x094E8160/MYUSER@SOGOSERVER.TLD>
Apr 27 14:24:14 sogod [3758]: |SOGo|   do traverse name: '3'
Apr 27 14:24:14 sogod [3758]: <<0x092EF300[SOGoMailAccounts]:Mail>>D traverse key '3' (acquire=yes) ..
Apr 27 14:24:14 sogod [3758]: <<0x092EF300[SOGoMailAccounts]:Mail>>D   key '3' resolved: <0x093F6BB0[SOGoMailAccount]: name=3 container=0x092EF300/Mail>
Apr 27 14:24:14 sogod [3758]: |SOGo|   do traverse name: 'folderINBOX'
Apr 27 14:24:14 sogod [3758]: <<0x093F6BB0[SOGoMailAccount]:3>>D traverse key 'folderINBOX' (acquire=yes) ..
Apr 27 14:24:14 sogod [3758]: <<0x093F6BB0[SOGoMailAccount]:3>>D   key 'folderINBOX' resolved: <0x095325C0[SOGoMailFolder]: name=folderINBOX container=0x093F6BB0/3>
Apr 27 14:24:14 sogod [3758]: |SOGo|   do traverse name: 'uids'
Apr 27 14:24:14 sogod [3758]: <<0x095325C0[SOGoMailFolder]:folderINBOX>>D traverse key 'uids' (acquire=yes) ..
Apr 27 14:24:14 sogod [3758]: <<0x095325C0[SOGoMailFolder]:folderINBOX>>D   key 'uids' resolved: <0x0x91f6138[SoActionInvocation]: class=UIxMailListActions action=getSortedUIDs>
Apr 27 14:24:14 sogod [3758]: |SOGo| set clientObject: <0x095325C0[SOGoMailFolder]: name=folderINBOX container=0x093F6BB0/3>
Apr 27 14:24:14 sogod [3758]: <0x0x94eb008[NGImap4Client]> ERROR(-[NGImap4Client _processUnknownCommandParserException:]): catched non-IMAP4 parsing exception NSInvalidArgumentException: Tried to add nil to array
Apr 27 14:24:15 sogod [3758]: <0x0x94eb008[NGImap4Client]> ERROR(-[NGImap4Client _processUnknownCommandParserException:]): catched non-IMAP4 parsing exception NSInvalidArgumentException: Tried to add nil to array
Apr 27 14:24:15 sogod [3758]: [ERROR] <0x0x94dc170[NGImap4Connection]> could not sort contents of URL: imaps://myexternalusername%40ymail.com@imap.mail.yahoo.com/INBOX/
Apr 27 14:24:15 sogod [3758]: |SOGo| request took 1.287031 seconds to execute
francis

francis

2011-04-27 14:25

administrator   ~0002408

Probably fixed by this revision :

http://mtn.inverse.ca/revision/info/8fb65e4ddd95ab6be36dc4834118f0f4c9e565bc

Can you try a nightly build?

ludovic

ludovic

2011-04-28 08:26

administrator   ~0002409

Last edited: 2011-04-28 08:26

Could you try to enable (set to YES)

ImapDebugDataEnabled
ImapDebugEnabled

and paste the output?

corradofiore

corradofiore

2011-05-01 13:26

reporter   ~0002418

Last edited: 2011-05-01 13:27

I've upgraded SOGo to the latest nightly but had no success. I'm attaching the relevant portion from the sogo.log (see SOGo_output.txt).

Some notes about the log excerpt:
1) I have a main account (mailbox AT corradofiore.it) powered by Dovecot and accessed through Imapproxy on localhost. That one works fine.
2) My secondary account (the one which doesn't list any messages) is corrado.fiore AT ymail.com
3) The output was produced by clicking on the "Inbox" folder on the secondary account, which has 5 read message in it and 1 subfolder (called "testFolder" with 56 messages).

I've seen two recurring errors:

[May 01 19:20:58 sogod [32403]: <0x0xaca2d78[NGImap4Client]> ERROR(-[NGImap4Client _processUnknownCommandParserException:]): catched non-IMAP4 parsing exception NSInvalidArgumentException: Tried to add nil to array

May 01 19:20:58 sogod [32403]: [ERROR] <0x0xab3f0c0[NGImap4Connection]> could not sort contents of URL: imaps://corrado.fiore%40ymail.com@imap.mail.yahoo.com/Inbox/

2011-05-01 13:26

 

SOGo_output.txt (6,633 bytes)   
May 01 19:20:55 sogod [32403]: |SOGo| starting method 'POST' on uri '/SOGo/so/mailbox@corradofiore.it/Mail//1/folderInbox/uids'
May 01 19:20:55 sogod [32403]: |SOGo| traverse(acquire): mailbox@corradofiore.it => Mail => 1 => folderInbox => uids
May 01 19:20:55 sogod [32403]: |SOGo|   do traverse name: 'mailbox@corradofiore.it'
May 01 19:20:55 sogod [32403]: |SOGo|   do traverse name: 'Mail'
May 01 19:20:55 sogod [32403]: <<0x0ABC57C8[SOGoUserFolder]:mailbox@corradofiore.it>>D traverse key 'Mail' (acquire=yes) ..
May 01 19:20:55 sogod [32403]: <<0x0ABC57C8[SOGoUserFolder]:mailbox@corradofiore.it>>D   key 'Mail' resolved: <0x0AB6A680[SOGoMailAccounts]: name=Mail container=0x0ABC57C8/mailbox@corradofiore.it>
May 01 19:20:55 sogod [32403]: |SOGo|   do traverse name: '1'
May 01 19:20:55 sogod [32403]: <<0x0AB6A680[SOGoMailAccounts]:Mail>>D traverse key '1' (acquire=yes) ..
May 01 19:20:55 sogod [32403]: <<0x0AB6A680[SOGoMailAccounts]:Mail>>D   key '1' resolved: <0x0ACA9880[SOGoMailAccount]: name=1 container=0x0AB6A680/Mail>
May 01 19:20:55 sogod [32403]: |SOGo|   do traverse name: 'folderInbox'
May 01 19:20:55 sogod [32403]: <<0x0ACA9880[SOGoMailAccount]:1>>D traverse key 'folderInbox' (acquire=yes) ..
May 01 19:20:55 sogod [32403]: <<0x0ACA9880[SOGoMailAccount]:1>>D   key 'folderInbox' resolved: <0x0ACAE060[SOGoMailFolder]: name=folderInbox container=0x0ACA9880/1>
May 01 19:20:55 sogod [32403]: |SOGo|   do traverse name: 'uids'
May 01 19:20:55 sogod [32403]: <<0x0ACAE060[SOGoMailFolder]:folderInbox>>D traverse key 'uids' (acquire=yes) ..
May 01 19:20:55 sogod [32403]: <<0x0ACAE060[SOGoMailFolder]:folderInbox>>D   key 'uids' resolved: <0x0x9782608[SoActionInvocation]: class=UIxMailListActions action=getSortedUIDs>
May 01 19:20:55 sogod [32403]: |SOGo| set clientObject: <0x0ACAE060[SOGoMailFolder]: name=folderInbox container=0x0ACA9880/1>
May 01 19:20:57 sogod [32403]: <0x0xaca2d78[NGImap4Client]> ERROR(-[NGImap4Client _processUnknownCommandParserException:]): catched non-IMAP4 parsing exception NSInvalidArgumentException: Tried to add nil to array
H=XYMCOOKIE AUTH=XYMECOOKIE AUTH=XYMCOOKIEB64 AUTH=XYMPKI] IMAP4rev1 imapgate-0.7.65_14.298026 imap408.mail.ird.yahoo.com
C[0xaca2d78]: 1 login corrado.fiore@ymail.com <PASSWORD>
S[0xacc9760]: 1 OK AUTHENTICATE completed - Mailbox size in bytes is 1274312
C[0xaca2d78]: 2 capability
S[0xacc9760]: * CAPABILITY IMAP4rev1 ID NAMESPACE X-ID-ACLID UIDPLUS LITERAL+ XAPPLEPUSHSERVICE XYMHIGHESTMODSEQ MOVE
S[0xacc9760]: 2 OK CAPABILITY completed
C[0xaca2d78]: 3 namespace
S[0xacc9760]: * NAMESPACE (("" NIL)) NIL NIL
S[0xacc9760]: 3 OK NAMESPACE completed
C[0xaca2d78]: 4 LIST "" ""
S[0xacc9760]: * LIST (\Noselect) "/" ""
S[0xacc9760]: 4 OK LIST completed
C[0xaca2d78]: 5 select "Inbox/testFolder"
S[0xacc9760]: * 56 EXISTS
S[0xacc9760]: * 0 RECENT
S[0xacc9760]: * OK [UIDVALIDITY 1304267213] UIDs valid
S[0xacc9760]: * OK [UIDNEXT 120] Predicted next UID
S[0xacc9760]: * FLAGS (\Answered \Flagged \Deleted \Seen \Draft)
S[0xacc9760]: * OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft)] Permanent flags
S[0xacc9760]: * OK [HIGHESTMODSEQ 5601795865718673152]
S[0xacc9760]: 5 OK [READ-WRITE] SELECT completed; now in selected state
C[0xaca2d78]: 6 UID SEARCH NOT DELETED
S[0xad557b8]: * OK [CAPABILITY IMAP4rev1 ID NAMESPACE X-ID-ACLID UIDPLUS LITERAL+ CHILDREN XAPPLEPUSHSERVICE XYMHIGHESTMODSEQ AUTH=PLAIN AUTH=LOGIN AUTH=XYMCOOKIE AUTH=XYMECOOKIE AUTH=XYMCOOKIEB64 AUTH=XYMPKI] IMAP4rev1 imapgate-0.7.65_14.298026 imap405.mail.ird.yahoo.com
C[0xaca2d78]: 1 login corrado.fiore@ymail.com <PASSWORD>
S[0xad557b8]: 1 OK AUTHENTICATE completed - Mailbox size in bytes is 1274312
C[0xaca2d78]: 2 LIST "" ""
S[0xad557b8]: * LIST (\Noselect) "/" ""
S[0xad557b8]: 2 OK LIST completed
C[0xaca2d78]: 3 select "Inbox/testFolder"
S[0xad557b8]: * 56 EXISTS
S[0xad557b8]: * 0 RECENT
S[0xad557b8]: * OK [UIDVALIDITY 1304267213] UIDs valid
S[0xad557b8]: * OK [UIDNEXT 120] Predicted next UID
S[0xad557b8]: * FLAGS (\Answered \Flagged \Deleted \Seen \Draft)
S[0xad557b8]: * OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft)] Permanent flags
S[0xad557b8]: * OK [HIGHESTMODSEQ 5601795865718673152]
S[0xad557b8]: 3 OK [READ-WRITE] SELECT completed; now in selected state
C[0xaca2d78]: 4 UID SEARCH NOT DELETED
S[0xabfbf48]: * OK [CAPABILITY IMAP4rev1 ID NAMESPACE X-ID-ACLID UIDPLUS LITERAL+ CHILDREN XAPPLEPUSHSERVICE XYMHIGHESTMODSEQ AUTH=PLAIN AUTH=LOGIN AUTH=XYMCOOKIE AUTH=XYMECOOKIE AUTH=XYMCOOKIEB64 AUTH=XYMPKI] IMAP4rev1 imapgate-0.7.65_14.298026 imap403.mail.ird.yahoo.com
C[0xaca2d78]: 1 login corrado.fiore@ymail.com <PASSWORD>
S[0xabfbf48]: 1 OK AUTHENTICATE completed - Mailbox size in bytes is 1274312
C[0xaca2d78]: 2 LIST "" ""
S[0xabfbf48]: * LIST (\Noselect) "/" ""
S[0xabfbf48]: 2 OK LIST completed
C[0xaca2d78]: 3 select "Inbox/testFolder"
S[0xabfbf48]: * 56 EXISTS
S[0xabfbf48]: * 0 RECENT
S[0xabfbf48]: * OK [UIDVALIDITY 1304267213] UIDs valid
S[0xabfbf48]: * OK [UIDNEXT 120] Predicted next UID
S[0xabfbf48]: * FLAGS (\Answered \Flagged \Deleted \Seen \Draft)
S[0xabfbf48]: * OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft)] Permanent flags
S[0xabfbf48]: * OK [HIGHESTMODSEQ 5601795865718673152]
S[0xabfbf48]: 3 OK [READ-WRITE] SELECT completed; now in selected state
C[0xaca2d78]: 4 LIST "" ""
S[0xabfbf48]: * LIST (\Noselect) "/" ""
S[0xabfbf48]: 4 OK LIST completed
C[0xaca2d78]: 5 select "Inbox"
S[0xabfbf48]: * 5 EXISTS
S[0xabfbf48]: * 0 RECENT
S[0xabfbf48]: * OK [UIDVALIDITY 1303905458] UIDs valid
S[0xabfbf48]: * OK [UIDNEXT 64] Predicted next UID
S[0xabfbf48]: * FLAGS (\Answered \Flagged \Deleted \Seen \Draft)
S[0xabfbf48]: * OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft)] Permanent flags
S[0xabfbf48]: * OK [HIGHESTMODSEQ 5601798383388449608]
S[0xabfbf48]: 5 OK [READ-WRITE] SELECT completed; now in selected state
C[0xaca2d78]: 6 UID SEARCH NOT DELETED
S[0xad56db8]: * OK [CAPABILITY IMAP4rev1 ID NAMESPACE X-ID-ACLID UIDPLUS LITERAL+ CHILDREN XAPPLEPUSHSERVICE XYMHIGHESTMODSEQ AUTH=PLAIN AUTH=LOGIN AUTH=XYMCOOKIE AUTH=XYMECOOKIE AUTH=XYMCOOKIEB64 AUTH=XYMPKI] IMAP4rev1 imapgate-0.7.65_14.298026 imap405.mail.ird.yahoo.com
C[May 01 19:20:58 sogod [32403]: <0x0xaca2d78[NGImap4Client]> ERROR(-[NGImap4Client _processUnknownCommandParserException:]): catched non-IMAP4 parsing exception NSInvalidArgumentException: Tried to add nil to array
May 01 19:20:58 sogod [32403]: [ERROR] <0x0xab3f0c0[NGImap4Connection]> could not sort contents of URL: imaps://corrado.fiore%40ymail.com@imap.mail.yahoo.com/Inbox/
May 01 19:20:58 sogod [32403]: |SOGo| request took 2.175035 seconds to execute
SOGo_output.txt (6,633 bytes)   
ludovic

ludovic

2011-07-06 16:18

administrator   ~0002673

Fixed with: http://mtn.inverse.ca/revision/diff/1709d5be2faef98c81803044c45b8869d94b5083/with/bb2b434f5b8424fa1b0cb475825a0114ca97c65a

Issue History

Date Modified Username Field Change
2011-04-27 08:28 corradofiore New Issue
2011-04-27 08:28 corradofiore File Added: yahoo_mail_empty_folders_log.txt
2011-04-27 14:25 francis Note Added: 0002408
2011-04-28 08:26 ludovic Note Added: 0002409
2011-04-28 08:26 ludovic Note Edited: 0002409
2011-05-01 13:26 corradofiore Note Added: 0002418
2011-05-01 13:26 corradofiore File Added: SOGo_output.txt
2011-05-01 13:27 corradofiore Note Edited: 0002418
2011-07-06 16:18 ludovic Note Added: 0002673
2011-07-06 16:18 ludovic Status new => resolved
2011-07-06 16:18 ludovic Fixed in Version => 1.3.8
2011-07-06 16:18 ludovic Resolution open => fixed
2011-07-06 16:18 ludovic Assigned To => ludovic